# Tomcat
server.port=8080
# Favicon
spring.mvc.favicon.enabled=false
# H2
spring.datasource.url=jdbc:h2:file:./recipes
spring.datasource.username=sa
spring.datasource.password=password
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.datasource.driver-class-name=org.h2.Driver
# JPA
#spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.format_sql=false
# Thymeleaf
spring.thymeleaf.template-loader-path=classpath:/templates
spring.thymeleaf.suffix=.html
spring.thymeleaf.cache=false
# Max file size.
spring.servlet.multipart.max-file-size=10MB
# Max request size.
spring.servlet.multipart.max-request-size=15MB
# DEBUG
logging.level.org.springframework.web=DEBUG
logging.level.com.zaxxer.hikari=DEBUG
spring.h2.console.enabled=true